Subject: [MIB-DOCTORS] Errata? : Re: Alissa Cooper's Discuss on draft-ietf-netmod-ip-cfg-13: (with DISCUSS)

From: Benoit Claise <[email-masked]>
Date: Fri, 28 Mar 2014 10:08:11 +0100

MIB doctors,

Anyone interested in filing an errata on RFC 4293?

Regards, Benoit

-------- Original Message --------
Subject: 	Re: Alissa Cooper's Discuss on draft-ietf-netmod-ip-cfg-13: 
(with DISCUSS)
Date: 	Fri, 28 Mar 2014 10:06:58 +0100
From: 	Benoit Claise <[email-masked]>
To: 	Alissa Cooper <[email-masked]>, Martin Bjorklund <[email-masked]>
CC: 	[email-masked], [email-masked], 
[email-masked]

On 28/03/2014 00:59, Alissa Cooper wrote:
> I cleared my DISCUSS, thanks for agreeing to this change. One comment
> below, probably more for Benoit ...
>
> On 3/26/14 3:47 PM, "Martin Bjorklund" <[email-masked]> wrote:
>
>> Hi,
>>
>> "Alissa Cooper" <[email-masked]> wrote:
>>> ----------------------------------------------------------------------
>>> DISCUSS:
>>> ----------------------------------------------------------------------
>>>
>>> These type definition descriptions for ip-address-origin in Section 4
>>> don't seem quite right:
>>>
>>>          enum link-layer {
>>>            description
>>>              "Indicates an address created by IPv6 stateless
>>>               auto-configuration.";
>>>          }
>>>          enum random {
>>>            description
>>>              "Indicates an address chosen by the system at
>>>               random, e.g., an IPv4 address within 169.254/16, or an
>>>               RFC 4941 privacy address.";
>>>          }
>>>
>>> Randomized IIDs, whether static or generated according to RFC 4941, are
>>> used in statelessly auto-configured addresses (that is, those addresses
>>> are a subset of what is enumerated as "link-layer" above).
>> Ok.  The text above is copied from^H^H aligned with the
>> IpAddressOriginTC from IP-MIB (RFC 4293).
> Might it be worth updating that document as well? RFC 4293 even still
> references RFC 3041 as the citation for temporary addresses, which has
> been obsoleted by RFC 4941. Would this be small enough to do in an errata?
I don't believe that updating a MIB textual convention as an errata
level type of update.
On the other hand, an editorial change waiting for an RFC update (if it
ever comes) doesn't do any harm.
Let me forward to the MIB doctors.

Regards, Benoit

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 30 Mar 2014 17:34:50 +0000

Hi,

This raises a question that may be worth being discussed first. It is not only a MIB doctors issue. RFC 4941 was published after RFC 4293. So this erratum would not correct a technical or editorial error. Is this the right thing to so - 'this' meaning to issue an errata that points to a reference that did not exist at the time the RFC was published?

Regards,

Dan

From: MIB-DOCTORS [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Friday, March 28, 2014 12:08 PM
To: MIB Doctors (E-mail)
Subject: [MIB-DOCTORS] Errata? : Re: Alissa Cooper's Discuss on draft-ietf-netmod-ip-cfg-13: (with DISCUSS)

MIB doctors,

Regards, Benoit

-------- Original Message --------
Subject:

Re: Alissa Cooper's Discuss on draft-ietf-netmod-ip-cfg-13: (with DISCUSS)

Date:

Fri, 28 Mar 2014 10:06:58 +0100

From:

Benoit Claise <[email-masked]><mailto:[email-masked]>

To:

Alissa Cooper <[email-masked]><mailto:[email-masked]>, Martin Bjorklund <[email-masked]><mailto:[email-masked]>

CC:

[email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>

> On 3/26/14 3:47 PM, "Martin Bjorklund" <[email-masked]><mailto:[email-masked]> wrote:

>> "Alissa Cooper" <[email-masked]><mailto:[email-masked]> wrote:

level type of update.

Regards, Benoit

---

From: Dave Thaler <[email-masked]>
Date: Mon, 31 Mar 2014 20:04:21 +0000

In this case it's not even an error.

The reference is in an "e.g." so it's just mentioned by way of example.
The fact that it was obsoleted by a later RFC does not make the example incorrect or invalid.

So I do not believe an errata is warranted.

-Dave

From: MIB-DOCTORS [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Sunday, March 30, 2014 10:35 AM
To: Benoit Claise; MIB Doctors (E-mail)
Subject: Re: [MIB-DOCTORS] Errata? : Re: Alissa Cooper's Discuss on draft-ietf-netmod-ip-cfg-13: (with DISCUSS)

Hi,

Regards,

Dan

MIB doctors,

Regards, Benoit

-------- Original Message --------
Subject:

Date:

From:

To:

CC:

level type of update.

Regards, Benoit